Рекомендация Debian по безопасности

DSA-966-1 adzapper -- отказ в обслуживании

Дата сообщения:
09.02.2006
Затронутые пакеты:
adzapper
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 350308.
В каталоге Mitre CVE: CVE-2006-0046.
Более подробная информация:

Томас Райфершайд обнаружил, что adzapper, дополнение для прокси для удаления рекламы, при установке в качестве дополнения для squid, кэша Интернет-объектов, может потреблять слишком много ресурсов процессора и вызывать отказ в обслуживании на прокси-узле.

В предыдущем стабильном выпуске (woody) пакет adzapper отсутствует.

В стабильном выпуске (sarge) эта проблема была исправлена в версии 20050316-1sarge1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 20060115-1.

Рекомендуется обновить пакет adzapper.

Исправлено в:

Debian GNU/Linux 3.1 (sarge)

Исходный код:
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1.dsc
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316.orig.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/a/adzapper/adzapper_20050316-1sarge1_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.